org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.BalanceShardUnique

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CollectionAdminResponse>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.BalanceShardUnique

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest

    public static class CollectionAdminRequest.BalanceShardUnique
    extends CollectionAdminRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.CollectionShardAdminRequest, CollectionAdminRequest.CollectionSpecificAdminRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.List, CollectionAdminRequest.Migrate, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action`

### Constructor Summary

Constructors
Constructor and Description
`CollectionAdminRequest.BalanceShardUnique()`

### Method Summary

Methods
`String` `getCollection()`
`Boolean` `getOnlyActiveNodes()`
`SolrParams` `getParams()`
`String` `getPropertyName()`
`Boolean` `getShardUnique()`
`void` `setCollection(String collection)`
`void` `setOnlyActiveNodes(Boolean onlyActiveNodes)`
`void` `setPropertyName(String propertyName)`
`void` `setShardUnique(Boolean shardUnique)`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, createResponse, getContentStreams, setAction`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollectionAdminRequest.BalanceShardUnique

    public CollectionAdminRequest.BalanceShardUnique()

### Method Detail

#### getPropertyName

    public String getPropertyName()

#### setPropertyName

    public void setPropertyName(String propertyName)

#### getOnlyActiveNodes

    public Boolean getOnlyActiveNodes()

#### setOnlyActiveNodes

    public void setOnlyActiveNodes(Boolean onlyActiveNodes)

#### getShardUnique

    public Boolean getShardUnique()

#### setShardUnique

    public void setShardUnique(Boolean shardUnique)

#### setCollection

    public void setCollection(String collection)

#### getCollection

    public String getCollection()

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest`